### Property

# GUPnP ContextManager:family

since: 1.2.0

#### Declaration

    property family: Gio.SocketFamily [ read, write, construct-only ]

#### Description [src]

The socket family to create contexts for. Use `G_SOCKET_FAMILY_INVALID` for any or `G_SOCKET_FAMILY_IPV4` for IPv4 contexts or `G_SOCKET_FAMILY_IPV6` for IPv6 contexts.

Type:`GSocketFamily`

Available since: 1.2.0

Default value | G_SOCKET_FAMILY_INVALID
Getter method | `gupnp_context_manager_get_socket_family`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes